%define version 0.0.14.1
%define release %mkrel 1

%define libggz_version %{version}
%define ggz_client_libs_version %{version}

%define games_list fyrdman kcc kdots keepalive koenig KReversi krosswater ktictactux muehle

Name:		ggz-kde-games
Summary:	GGZ Games for KDE
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://www.ggzgamingzone.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	libggz-devel = %{libggz_version}
BuildRequires:	ggz-client-libs-devel = %{ggz_client_libs_version}
BuildRequires:	kdelibs-devel
Requires(pre):	libggz = %{libggz_version}
Requires(pre):	ggz-client-libs = %{ggz_client_libs_version}
Provides:	ggz-game-modules = %{version}

%description
The complete set of GGZ Gaming Zone games for KDE user interface.
Includes all of the following:

KReversi:   Reversi chess
KCC:        Chinese checkers
KTicTacTux: Tic Tac Toe using pictures
KDots:      Connect the Dots
Krosswater: KDE port of Java game "Cross the water"
Keepalive:  An experimental game
Koenig:     A chess game
Muehle:     "Nine men's morris" chess
Fyrdman:    Client for Hastings1066 battle game

%prep
%setup -q

%build
%configure2_5x --with-xinerama --with-libggz-libraries=%{_libdir} --with-ggzmod-libraries=%{_libdir} --with-ggzcore-libraries=%{_libdir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm %{buildroot}%{_sysconfdir}/ggz.modules
rmdir %{buildroot}%{_sysconfdir}

# Get a copy of all of our .dsc files
mkdir -p %{buildroot}%{_datadir}/ggz/ggz-config
for i in %games_list; do
  install -m 0644 $i/module.dsc %{buildroot}%{_datadir}/ggz/ggz-config/kde-$i.dsc
done

# replace absolute symlink with relative one
rm -f %{buildroot}%{_datadir}/doc/HTML/en/muehle/common
ln -sf ../common %{buildroot}%{_datadir}/doc/HTML/en/muehle/common

%find_lang %{name} --all-name

%clean
rm -rf %{buildroot}


%post 
# Run ggz-config vs. all installed games
if [ -f %{_sysconfdir}/ggz.modules ]; then
  for i in %games_list; do
    ggz-config --install --modfile=%{_datadir}/ggz/ggz-config/kde-$i.dsc --force
  done
fi


%preun
# Run ggz-config to uninstall all the games
if [ "$1" = "0" ]; then
  if [ -f %{_sysconfdir}/ggz.modules ]; then
    for i in %games_list; do
      ggz-config --remove --modfile=%{_datadir}/ggz/ggz-config/kde-$i.dsc
    done
  fi
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.GGZ QuickStart.GGZ

%{_libdir}/ggz/*

%{_datadir}/ggz/fyrdman
%{_datadir}/ggz/ggz-config/*
%{_datadir}/ggz/kcc
%{_datadir}/ggz/kdots
%{_datadir}/ggz/keepalive
%{_datadir}/ggz/kreversi
%{_datadir}/ggz/krosswater
%{_datadir}/ggz/ktictactux
%{_datadir}/ggz/muehle
%{_datadir}/applications/*
%{_datadir}/config/*

%{_mandir}/man?/*

%{_datadir}/apps/*/*
%{_datadir}/icons/hicolor/*/*/*.png

%doc %{_datadir}/doc/HTML/en/muehle




%changelog
* Tue Feb 26 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.14.1-1mdv2008.1
+ Revision: 175558
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-3mdv2008.0
+ Revision: 81276
- fix old prereq thing

* Thu May 24 2007 Lenny Cartier <lenny@mandriva.org> 0.0.14-2mdv2008.0
+ Revision: 30694
- Requires libggz-client-libs9-devel


* Sat Feb 10 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-1mdv2007.0
+ Revision: 118778
- New version 0.0.14
- Import ggz-kde-games

* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-2mdv2007.0
- fix x86_64 build

* Mon May 22 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-1mdk
- New version
- mkrel
- drop patch

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version
- P0: fix build for newer gcc

* Wed Feb 11 2004 Abel Cheung <deaddog@deaddog.org> 0.0.8-1mdk
- New version
- Spec cleanup
- Remove menu, games that can run standalone aren't that funny

